Extending Qt Creator Manual | QuickFixAssistProvider

Extending Qt Creator Manual 4.5.2

# QuickFixAssistProvider Class

(TextEditor::QuickFixAssistProvider)

Inherits: | TextEditor::IAssistProvider

- List of all members, including inherited members

## Public Functions

| QuickFixAssistProvider(QObject *parent = 0)
| ~QuickFixAssistProvider()
virtual QList<QuickFixFactory *> | quickFixFactories() const

- 2 public functions inherited from TextEditor::IAssistProvider

## Member Function Documentation

### QuickFixAssistProvider::QuickFixAssistProvider(QObject *parent = 0)

Default constructs an instance of QuickFixAssistProvider.

### QuickFixAssistProvider::~QuickFixAssistProvider()

Destroys the instance of QuickFixAssistProvider.

### `[virtual]` QList<QuickFixFactory *> QuickFixAssistProvider::quickFixFactories() const